cc ---7--o----+----o----+----o----+----o----+----o----+----o----+----o-|--+----o
cc
cc --- apr'06 28-11:14
cc
cc     tiny wrapper around FLUKA georeg() such that we rotate our coordinates
cc     if looking at USRBIN histogram which was rotated
cc
cc     developed for use with the flukaGUI application
cc     subject to the FLUKA user license
cc     contact anton.empl@cern.ch
cc     the FLEUR project
cc
cc --- sep'06 18-22:19
cc     added another even tinier wrapper just to get at the rotprbin ID
cc


      subroutine myGreg(x,y,z, binID)
cc   ---------------------------------

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
      INCLUDE '(FLKMAT)'
      INCLUDE '(USRBIN)'

      integer rotID,binID
      common /apr06/ nreg,nmate,rname,mname
      character rname*9,mname*9
      character rn*8,mn*8

      binID= binID+1
      rotID= 0
      if (binID.ge.1 .and. binID.le.NUSRBN) rotID= KRTNBN(binID)

      xloc= x
      yloc= y
      zloc= z
      call myPoint(rotID,xloc,yloc,zloc)

      call GEOREG(xloc,yloc,zloc, nreg, IDISC)
      call GEOR2N(nreg,rn,ierr)
      rname= rn//'\0'
      nmate= MEDIUM(nreg)
      if (nmate.eq.9999 .or. nmate.eq.999999) nmate= 1
      mn= MATNAM(nmate)
      mname= mn//'\0'

c     write(0,*) ' -m-> ',nmate,mname
      end


      integer function rotprbin(binID)
cc   ----------------------------------
      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
      INCLUDE '(USRBIN)'

      integer binID

      binID= binID+1
      rotprbin= -1
      if (binID.ge.1 .and. binID.le.NUSRBN) rotprbin= KRTNBN(binID)
      end

