
//
//    (feb'07 19-02:07) - version v.07a
//                                                                                 the FLEUR project
// -------------------------------------------------------------------------------------------------
//                                                                                anton.empl@cern.ch
// --- FLUKA user back-end project -Fbe-
//
//     this class permits us to modify the root default histogram painter
//     we took one method basically out of the root source tree and just modified a single line
//     this way we use our modified PaletteAxis()
//     we will also hook into the r/phi 2D plotting stuff here
//


#ifndef __FBEHISTPAINTER_H
#define __FBEHISTPAINTER_H

#include <TObject.h>
#include <THistPainter.h>
#include <TPaletteAxis.h>
#include <TPad.h>
#include <TView.h>


class FbeHistPainter : public THistPainter
{

protected:


public:

FbeHistPainter();
virtual ~FbeHistPainter();

virtual void PaintPalette();


ClassDef(FbeHistPainter,1)

}; // - FbeHistPainter: try and overlay roots THistPainter class


#endif
