
//
//    (feb'07 19-02:07) - version v.07a
//                                                                                 the FLEUR project
// -------------------------------------------------------------------------------------------------
//                                                                                anton.empl@cern.ch
//                                                                   (Katey Covin, Matt LeBourgeois)
// --- FLUKA user back-end project -Fbe-
//



#include "FlukaMainFrame.h"
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>



bool isRegularFile(const char* file) { struct stat myStat; stat(file,&myStat); return S_ISREG(myStat.st_mode); }


TArrayD CreateModdedArray(Int_t min,Int_t max)
{
// 	cout << " CreateModdedArray()" << endl;//MLML
	Int_t diff = TMath::Abs(min-max);
	TArrayD mod; mod.Set(1); mod[0] = diff; int j =1,i;
	for(i=diff-1;i>=1;i--)
		if(diff%i == 0)
		{ mod.Set(j+1); mod[j]=i; j++; }

	for(i=0;i<j;i++)
		mod[i] = diff / mod[i];

	return mod;
}

