
//
//    (feb'07 19-02:07) - version v.07a
//                                                                                 the FLEUR project
// -------------------------------------------------------------------------------------------------
//                                                                        author: anton.empl@cern.ch
// --- FLUKA user back-end project -Fbe-
//     just a macro to swap from little to big endian and vice versa, concept more or less taken
//     from the linux kernel header files but it's really straight forward
//
//     see   FbeIO / FbeUsrbinFile / FbeUsrbin classes
//


#define swab32(x) \
({ \
        unsigned int __x = (x); \
        ((unsigned int)( \
                (((unsigned int)(__x) & (unsigned int)0x000000ffUL) << 24) | \
                (((unsigned int)(__x) & (unsigned int)0x0000ff00UL) <<  8) | \
                (((unsigned int)(__x) & (unsigned int)0x00ff0000UL) >>  8) | \
                (((unsigned int)(__x) & (unsigned int)0xff000000UL) >> 24) )); \
})

