cc ---7--o----+----o----+----o----+----o----+----o----+----o----+----o-|--+----o
cc
cc --- may'06 08-16:46
cc
cc     more or less analogous to pgmcrs() of FLUKA code
cc     first simple change, just a few lines and a common, to cheat and
cc     get at the material for 'lines' along X -- see also myscn()
cc
cc     developed for use with the flukaGUI application
cc     subject to the FLUKA user license
cc     contact anton.empl@cern.ch
cc     the FLEUR project
cc


      subroutine myCRS(XB,YB,ZB,TX,TY,TZ,AL, i)
cc   -------------------------------------------

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
      INCLUDE '(FLKMAT)'

      COMMON/PGMCUR/XSCAN0,YSCAN0,ZSCAN0,A,EPSX,EPSY,XSTEP,YSTEP,ZSTEP,
     1              EXPAND,TXSTEP,TYSTEP,TZSTEP,LPGSCX,IENT,IMAX
      COMMON/PGMFLK/NSURF,NREG,LPGMOP

      integer*2 mc(1000000)
      real*4 c(1000000)
      common /draw/ c,mc,nc

      amax=3000

      IENT =IENT+1
      XP   =XB
      YP   =YB
      ZP   =ZB
      XPATH=0.0D+00
      XREST=AL
      JC   =0
      NREG =0
      CALL GEOCRS(TX,TY,TZ)
      CALL GEOREG(XP,YP,ZP,NREG,IDISC)

      nc= nc+1
      c(nc)= 0
      mc(nc)= 1
      if (MEDIUM(NREG).lt.32768) mc(nc)= MEDIUM(NREG)

      EPSRST=MAX(ABS(XSTEP),ABS(YSTEP),ABS(ZSTEP))
  310 CONTINUE
      CALL PGMPTH(XP,YP,ZP,TX,TY,TZ,XREST,XPDEL,IX)
      XPATH=XPATH+XPDEL
      XREST=XREST-XPDEL

      IF (IX.EQ.1) then
        nc= nc+1
        c(nc)=XPATH
        mc(nc)= 1
        if (MEDIUM(NREG).lt.32768) mc(nc)= MEDIUM(NREG)
        return
        endif

      IF (JC.GE.amax) goto 900
      JC = JC+1

      nc= nc+1
      c(nc)=XPATH
      mc(nc)= 1
      if (MEDIUM(NREG).lt.32768) mc(nc)= MEDIUM(NREG)

      if (XREST.lt..1D+00*EPSRST) return
      goto 310
  900 continue
      end

