cc ---7--o----+----o----+----o----+----o----+----o----+----o----+----o-|--+----o
cc
cc --- may'06 17-03:06
cc
cc     apply rotation to get from FLUKA world into binning coordinate system
cc     well (backwards) it seems to work but 1 is not around X rather Z
cc     second routine below to rotate/translate a single point (forward?)
cc
cc     developed for use with the flukaGUI application
cc     subject to the FLUKA user license
cc     contact anton.empl@cern.ch
cc     the FLEUR project
cc


      subroutine myrot(binID)
cc   -------------------------

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'

      integer binID,rotID
      dimension xp(10),yp(10),zp(10)

      INCLUDE '(USRBIN)'
      COMMON/PGMAXS/X0,Y0,Z0,TYX,TYY,TYZ,TXX,TXY,TXZ,
     .              XAXLEN,YAXLEN,EXPANX,EXPANY,X1,Y1,Z1

      binID= binID+1
      rotID= 0
      if (binID.ge.1 .and. binID.le.NUSRBN) rotID= KRTNBN(binID)

      xp(1)= X0
      yp(1)= Y0
      zp(1)= Z0

      xp(2)= X1
      yp(2)= Y1
      zp(2)= Z1

      CALL UNDOTR( 2,xp,yp,zp, rotID )

      X0= xp(1)
      Y0= yp(1)
      Z0= zp(1)

      X1= xp(2)
      Y1= yp(2)
      Z1= zp(2)

cc ------------------

      xp(1)= TYX
      yp(1)= TYY
      zp(1)= TYZ

      xp(2)= TXX
      yp(2)= TXY
      zp(2)= TXZ

      CALL UNDRTO( 2,xp,yp,zp, rotID )

      TYX= xp(1)
      TYY= yp(1)
      TYZ= zp(1)

      TXX= xp(2)
      TXY= yp(2)
      TXZ= zp(2)

      end




      subroutine mypoint(rotID,x,y,z)
cc   ---------------------------------

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'

      integer rotID
      dimension xp(2),yp(2),zp(2)

      xp(1)= x
      yp(1)= y
      zp(1)= z

      CALL UNDOTR( 1,xp,yp,zp, rotID )

      x= xp(1)
      y= yp(1)
      z= zp(1)

      end
