
//
//    mar'04
//    jan'05 - version v.03
//    (feb'07 19-02:07) - version v.07a
//                                                                                 the FLEUR project
// -------------------------------------------------------------------------------------------------
//                                                                                anton.empl@cern.ch
//                                                                   (Katey Covin, Matt LeBourgeois)
// --- FLUKA user back-end project -Fbe-
//     since we like to modify the way how a color palette is displayed next to our 2D graphs
//     let's implement our own 'painter'
//
//     07'mar  taken from our GUI code, this is a direct copy of the -root- equivalent method
//             with just a few changes as indicated in the src file
//


#ifndef __FBEPALETTEAXIS_H
#define __FBEPALETTEAXIS_H


#include <TROOT.h>
#include <TObject.h>
#include <TPaletteAxis.h>
#include <TVirtualPad.h>
#include <TStyle.h>
#include <TView.h>

#include <TH1.h>
#include <TMath.h>


class FbePaletteAxis : public TPaletteAxis
{

protected:


public:

FbePaletteAxis() { ; } // somehow chains when cloning a histogram
FbePaletteAxis(Double_t x1, Double_t y1,Double_t x2 ,Double_t y2, TH1 *h);
virtual ~FbePaletteAxis();

virtual void Paint(Option_t *);


ClassDef(FbePaletteAxis,1)

}; // this one to get a beautified look of the actual palette drawn next to the 2D histogram


#endif
