
//
//    (feb'07 19-02:07) - version v.07a
//                                                                                 the FLEUR project
// -------------------------------------------------------------------------------------------------
//                                                                                anton.empl@cern.ch
// --- FLUKA user back-end project -Fbe-
//     our own message box, not much different but friendlier in use
//

#include <TROOT.h>
#include <TGFrame.h>
#include <TGLabel.h>
#include <TGButton.h>
#include <TGTextEntry.h>
#include <TGTableLayout.h>
#include <TGPicture.h>
#include <TGIcon.h>
#include <TColor.h>
#include <KeySymbols.h>
#include <TTimer.h>

#ifndef aMessageBox_h
#define aMessageBox_h


class aMessageBox {   //: public TGTransientFrame {

private:
   TGTransientFrame     *fmain;
   TGLabel              *fHeadline;
   TGVerticalFrame      *fThatsIt;
   TGHorizontalFrame    *fRight;
   TGHorizontalFrame    *fIconFrame;
   TGIcon               *fIcon;
   TGTextButton         *fOK;
   TGVerticalFrame      *fLeft;
   TGLabel              *fOneLine[99];

   int _n,_once;

public:
   aMessageBox(const TGWindow *p, const TGFrame *main, char* message, const TGPicture *icon);
   virtual ~aMessageBox() { fmain->CloseWindow(); }


   virtual void CloseWindow();
   virtual Bool_t ProcessMessage(Event_t *event);

ClassDef(aMessageBox,0)
};


#endif
