
//
//    (feb'07 19-02:07) - version v.07a
//                                                                                 the FLEUR project
// -------------------------------------------------------------------------------------------------
//                                                                        author: anton.empl@cern.ch
// --- FLUKA user back-end project -Fbe-
//
//     this is a wrapper to the actual FLUKA geometry routines
//     attaches to  libScan.a  where a few routines in conection with the original pgmdrv.f
//     driver program are kept
//
//     problem: some of the FLUKA routines produce output to stdout and some files
//              should silence those
//


#ifndef scanGeometry_H
#define scanGeometry_H


// --- result kept in this array of struct
typedef struct { int n,NFRZR,LFRZR,NWORM,IHEAD,LENSHR; float *x,*y; } wormS;

// --- fortran attach
typedef struct { double X0,Y0,Z0,TYX,TYY,TYZ,TXX,TXY,TXZ,XAXLEN,YAXLEN,EXPANX,EXPANY,X1,Y1,Z1;
                 int lwmhol;
                 int voidType; double limits[6];
                 char title[60],runtit[80];
               } pgmaxS;

// --- get information for a space point in FLUKA geometry
typedef struct { int nreg,nmat; char rname[9],mname[9]; } aptS;

// ---
typedef struct { float *c; short *m; int *np; int n; } aLS;

#endif
